Bug 857598 - [abrt] libreoffice-core-3.5.6.2-2.fc17: set_running_flag killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.5.6.2-2.fc17: set_running_flag killed by signal 6 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew John Hughes
Fedora Extras Quality Assurance
abrt_hash:e617d6e40b76a32d4b76ed0aed0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 00:06 EDT by Juan Manuel
Modified: 2013-07-31 13:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.71 KB, text/plain)
2012-09-15 00:06 EDT, Juan Manuel
no flags Details
File: backtrace (632.76 KB, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: maps (139.79 KB, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: dso_list (28.52 KB, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: var_log_messages (177 bytes, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details
File: open_fds (587 bytes, text/plain)
2012-09-15 00:07 EDT, Juan Manuel
no flags Details

  None (edit)
Description Juan Manuel 2012-09-15 00:06:29 EDT
Description of problem:
Solo intente abrir writer justo cuando inicializaba el sistema, ya se habia abierto todo solo faltaba la conexion a internet.

Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer '/home/juanman/Documents/MANUAL DE CALIGRAFIA.odt' --splash-pipe=6
kernel:         3.5.3-1.fc17.x86_64
Comment 1 Juan Manuel 2012-09-15 00:06:32 EDT
Created attachment 613073 [details]
File: environ
Comment 2 Juan Manuel 2012-09-15 00:07:00 EDT
Created attachment 613074 [details]
File: backtrace
Comment 3 Juan Manuel 2012-09-15 00:07:02 EDT
Created attachment 613075 [details]
File: limits
Comment 4 Juan Manuel 2012-09-15 00:07:03 EDT
Created attachment 613076 [details]
File: cgroup
Comment 5 Juan Manuel 2012-09-15 00:07:09 EDT
Created attachment 613077 [details]
File: maps
Comment 6 Juan Manuel 2012-09-15 00:07:12 EDT
Created attachment 613078 [details]
File: dso_list
Comment 7 Juan Manuel 2012-09-15 00:07:13 EDT
Created attachment 613079 [details]
File: var_log_messages
Comment 8 Juan Manuel 2012-09-15 00:07:15 EDT
Created attachment 613080 [details]
File: open_fds
Comment 9 Caolan McNamara 2012-09-17 11:49:15 EDT
googletranslate: "Just try to open writer just when initializing the system, had already opened all just missing the Internet connection."

From the backtrace you must have some java extension to LibreOffice installed. What's the output of...
unopkg list && unopkg list --shared && unopkg list --bundled
so we can see the list of extensions.

It appears to be a problem, possibly multithread related, with the java-gcj gui. So you may find that selecting openjdk from tools->options->java in LibreOffice will work better.
Comment 10 Andrew John Hughes 2012-09-17 12:12:11 EDT
Does this fail with any document or just the one specified?  If the latter, can you provide this in order to reproduce the problem?
Comment 11 Andrew John Hughes 2012-09-17 12:25:22 EDT
The crash is due to this assertion failing: 

  g_assert((*java_vm)->GetEnv(java_vm, &tmp.void_env, JNI_VERSION_1_2) == JNI_OK);
Comment 13 Andrew John Hughes 2012-09-25 16:15:07 EDT
The assertion is failing because it's being called from a thread running Gtk+ that is part of LibreOffice, not the JVM.  So it returns JNI_EDETACHED and a null environment, which causes a SIGSEGV even if we remove the assertion.

So we need to make the Gtk+ peer handle the fact that it may get a callback from other Gtk+ code if it's being used from a Gtk+ app.
Comment 14 Fedora End Of Life 2013-07-03 15:19:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 13:40:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.